com.massivecraft.factions.integration.dynmap

## Class TempMarker

- java.lang.Object
- - com.massivecraft.factions.integration.dynmap.TempMarker

-     public class TempMarker
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `description`
    `java.lang.String` | `iconName`
    `java.lang.String` | `label`
    `java.lang.String` | `world`
    `double` | `x`
    `double` | `y`
    `double` | `z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TempMarker()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.dynmap.markers.Marker` | `create(org.dynmap.markers.MarkerAPI markerApi, org.dynmap.markers.MarkerSet markerset, java.lang.String markerId)`
    `static org.dynmap.markers.MarkerIcon` | `getMarkerIcon(org.dynmap.markers.MarkerAPI markerApi, java.lang.String name)`
    `void` | `update(org.dynmap.markers.MarkerAPI markerApi, org.dynmap.markers.Marker marker)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          public java.lang.String label

    - #### world

          public java.lang.String world

    - #### x

          public double x

    - #### y

          public double y

    - #### z

          public double z

    - #### iconName

          public java.lang.String iconName

    - #### description

          public java.lang.String description

  - ### Constructor Detail

    - #### TempMarker

          public TempMarker()

  - ### Method Detail

    - #### getMarkerIcon

          public static org.dynmap.markers.MarkerIcon getMarkerIcon(org.dynmap.markers.MarkerAPI markerApi,
                                                                    java.lang.String name)

    - #### create

          public org.dynmap.markers.Marker create(org.dynmap.markers.MarkerAPI markerApi,
                                                  org.dynmap.markers.MarkerSet markerset,
                                                  java.lang.String markerId)

    - #### update

          public void update(org.dynmap.markers.MarkerAPI markerApi,
                             org.dynmap.markers.Marker marker)